> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RequestNotification

## "RequestNotification"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.RequestNotificationProvider">SuperOffice.CRM.ArchiveLists.RequestNotificationProvider</see> inside NetServer's SODatabase assembly.

## Supported Entities

| Name                     | Description |
| ------------------------ | ----------- |
| "ticketNew"              | Request     |
| "ticketNewMessage"       | Request     |
| "ticketEscalated"        | Request     |
| "ticketActivated"        | Request     |
| "ticketTransferred"      | Request     |
| "ticketCustomMessage"    | Request     |
| "ticketFavouriteUpdated" | Request     |

## Supported Columns

| Name               | Restriction | Description                                                                             | OrderBy |
| ------------------ | ----------- | --------------------------------------------------------------------------------------- | ------- |
| getAllRows         | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database |         |
| getNoRows          | bool        | GetNone: Do not get any rows from the archive                                           |         |
| id                 | *None*      | !!id                                                                                    | x       |
| associateId        | associate   | Associate: SR\_SINGULAR\_ASSOCIATE\_TOOLTIP                                             | x       |
| originatorFullName | *None*      | !!originatorFullName                                                                    |         |
| notifyDateTime     | datetime    | !!notifyDateTime                                                                        | x       |
| title              | *None*      | !!title                                                                                 |         |
| updateType         | *None*      | !!updateType                                                                            |         |
| ticketId           | *None*      | !!ticketId                                                                              | x       |
| category           | *None*      | !!category                                                                              | x       |
| customUrl          | *None*      | !!customUrl                                                                             | x       |

## Sample

```http! theme={null}
GET /api/v1/archive/RequestNotification?$select=associateId,notifyDateTime
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [Notifications](/en/learn/basics/notifications.md)
- [Manage notifications](/en/mobile/manage-notifications.md)
- [SuperOffice.WebApi.Data.Pocket NotificationHandledRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.Pocket_NotificationHandledRequest.md)
- [SuperOffice.WebApi.Data.Pocket NotificationsHandledRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.Pocket_NotificationsHandledRequest.md)
- [SuperOffice.WebApi.Data.Pocket SendPushNotificationRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.Pocket_SendPushNotificationRequest.md)
- [SuperOffice.WebApi.Data.Pocket RegisterDeviceForPushNotificationRequest](/en/api/reference/webapi/SuperOffice.WebApi.Data.Pocket_RegisterDeviceForPushNotificationRequest.md)
